Subject: [PATCH v3 0/5] ARM64: Add kernel probes(Kprobes) support

From: [email-masked] (David Long)
Date: Wed, 03 Dec 2014 21:48:19 -0500

On 12/03/14 20:16, William Cohen wrote:

[...]

>
> The perf issue seems to be independent and can be reproduced without using any kprobe support.  I need to get a simple reproducer and mention it on the linux-perf-user list.
>
> -Will
>

OK, my confusion came from all the different things perf can use.  I 
have not yet been able to reproduce the "perf stat" failure, but I do 
see the failure with Steve's example using tracepoints.  I had thought 
that was using kprobes, but apparently it just uses tracepoints.  These 
look like two different failures to me:  One related to tracepoints, and 
one in the PMU driver.

Since this seems unrelated to kprobes I don't plan on pursuing these 
particular problems.

-dl